Summaries & Recommendations
Generate recommendations
Trigger asynchronous generation of actionable design recommendations for an analysis.
POST
/
analyses
/
recommendations
/
{analysis-id}
curl \
-X POST \
-H "Authorization: Bearer $apikey" \
https://api.eyequant.com/v2/analyses/recommendations/$analysisId
const baseUrl = 'https://api.eyequant.com/v2';
const response = await fetch(`${baseUrl}/analyses/recommendations/${analysisId}`, {
method: 'POST',
headers: { Authorization: `Bearer ${apiKey}` },
});
const recommendationsStatus = await response.json();
{
"success": true,
"status": "started",
"msg": "Recommendation generation started"
}
{
"success": false,
"msg": "analysis_not_found"
}
Trigger asynchronous generation of recommendations — a set of concrete, actionable suggestions for improving the design. After triggering, poll Get recommendations until
status is completed. For richer recommendations, set context first with Update analysis metadata.
The
analysis-id path parameter is the analysis id returned as _internal_exposed_id from Get an analysis — not the top-level id returned when you create an analysis.string
required
The analysis id (
_internal_exposed_id from Get an analysis).boolean
Whether the request was accepted.
string
Generation status:
started or processing.string
Human-readable status message.
curl \
-X POST \
-H "Authorization: Bearer $apikey" \
https://api.eyequant.com/v2/analyses/recommendations/$analysisId
const baseUrl = 'https://api.eyequant.com/v2';
const response = await fetch(`${baseUrl}/analyses/recommendations/${analysisId}`, {
method: 'POST',
headers: { Authorization: `Bearer ${apiKey}` },
});
const recommendationsStatus = await response.json();
{
"success": true,
"status": "started",
"msg": "Recommendation generation started"
}
{
"success": false,
"msg": "analysis_not_found"
}
⌘I
curl \
-X POST \
-H "Authorization: Bearer $apikey" \
https://api.eyequant.com/v2/analyses/recommendations/$analysisId
const baseUrl = 'https://api.eyequant.com/v2';
const response = await fetch(`${baseUrl}/analyses/recommendations/${analysisId}`, {
method: 'POST',
headers: { Authorization: `Bearer ${apiKey}` },
});
const recommendationsStatus = await response.json();
{
"success": true,
"status": "started",
"msg": "Recommendation generation started"
}
{
"success": false,
"msg": "analysis_not_found"
}
